# -*- coding: utf-8; -*-
"""
Upgrade views
"""

import re

from tailbone.views import upgrades as base


class UpgradeView(base.UpgradeView):

    def get_changelog_projects(self):
        projects = super(UpgradeView, self).get_changelog_projects()

        projects.update({
            'rattail_demo': {
                'commit_url': 'https://kallithea.rattailproject.org/rattail-project/rattail-demo/changelog/{new_version}/?size=10',
                'release_url': 'https://kallithea.rattailproject.org/rattail-project/rattail-demo/files/{new_version}/CHANGES.rst',
            },
        })

        return projects


def includeme(config):
    UpgradeView.defaults(config)
